
#ifndef MSNADDCONTACTPAGE_H
#define MSNADDCONTACTPAGE_H

#include <tqwidget.h>
#include <addcontactpage.h>
#include <tqlabel.h>

/**
  *@author duncan
  */
class msnAddUI;
class MSNProtocol;

class MSNAddContactPage : public AddContactPage
{
   TQ_OBJECT
  
public:
	MSNAddContactPage(bool connected, TQWidget *parent=0, const char *name=0);
	~MSNAddContactPage();
	msnAddUI *msndata;
	TQLabel *noaddMsg1;
	TQLabel *noaddMsg2;
	bool canadd;
	virtual bool validateData();
	virtual bool apply( Kopete::Account*, Kopete::MetaContact* );

};

#endif
